
From: Pavel Machek <pavel@ucw.cz>

According to devices.txt, serial ports are reffered as ttyS0 (and not
ttyS00).  It would be nice to use that convention in printks, too.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/hp/sim/simserial.c |    2 +-
 25-akpm/arch/ppc/8xx_io/uart.c       |    2 +-
 25-akpm/drivers/char/amiserial.c     |    4 ++--
 25-akpm/drivers/char/serial167.c     |    2 +-
 25-akpm/drivers/serial/68360serial.c |    2 +-
 25-akpm/drivers/tc/zs.c              |   14 +++++++-------
 6 files changed, 13 insertions(+), 13 deletions(-)

diff -puN arch/ia64/hp/sim/simserial.c~ttys0-vs-ttys00-confusion arch/ia64/hp/sim/simserial.c
--- 25/arch/ia64/hp/sim/simserial.c~ttys0-vs-ttys00-confusion	2004-08-15 17:34:14.509633944 -0700
+++ 25-akpm/arch/ia64/hp/sim/simserial.c	2004-08-15 17:34:14.521632120 -0700
@@ -1055,7 +1055,7 @@ simrs_init (void)
 			ia64_ssc_connect_irq(KEYBOARD_INTR, state->irq);
 		}
 
-		printk(KERN_INFO "ttyS%02d at 0x%04lx (irq = %d) is a %s\n",
+		printk(KERN_INFO "ttyS%d at 0x%04lx (irq = %d) is a %s\n",
 		       state->line,
 		       state->port, state->irq,
 		       uart_config[state->type].name);
diff -puN arch/ppc/8xx_io/uart.c~ttys0-vs-ttys00-confusion arch/ppc/8xx_io/uart.c
--- 25/arch/ppc/8xx_io/uart.c~ttys0-vs-ttys00-confusion	2004-08-15 17:34:14.511633640 -0700
+++ 25-akpm/arch/ppc/8xx_io/uart.c	2004-08-15 17:34:14.523631816 -0700
@@ -2592,7 +2592,7 @@ static int __init rs_8xx_init(void)
 		state->icount.rx = state->icount.tx = 0;
 		state->icount.frame = state->icount.parity = 0;
 		state->icount.overrun = state->icount.brk = 0;
-		printk(KERN_INFO "ttyS%02d at 0x%04x is a %s\n",
+		printk(KERN_INFO "ttyS%d at 0x%04x is a %s\n",
 		       i, (unsigned int)(state->port),
 		       (state->smc_scc_num & NUM_IS_SCC) ? "SCC" : "SMC");
 #ifdef CONFIG_SERIAL_CONSOLE
diff -puN drivers/char/amiserial.c~ttys0-vs-ttys00-confusion drivers/char/amiserial.c
--- 25/drivers/char/amiserial.c~ttys0-vs-ttys00-confusion	2004-08-15 17:34:14.512633488 -0700
+++ 25-akpm/drivers/char/amiserial.c	2004-08-15 17:34:14.525631512 -0700
@@ -430,7 +430,7 @@ static _INLINE_ void check_modem_status(
 
 	if ((info->flags & ASYNC_CHECK_CD) && (dstatus & SER_DCD)) {
 #if (defined(SERIAL_DEBUG_OPEN) || defined(SERIAL_DEBUG_INTR))
-		printk("ttyS%02d CD now %s...", info->line,
+		printk("ttyS%d CD now %s...", info->line,
 		       (!(status & SER_DCD)) ? "on" : "off");
 #endif
 		if (!(status & SER_DCD))
@@ -2095,7 +2095,7 @@ static int __init rs_init(void)
 	  continue;
 	*/
 
-	printk(KERN_INFO "ttyS%02d is the amiga builtin serial port\n",
+	printk(KERN_INFO "ttyS%d is the amiga builtin serial port\n",
 		       state->line);
 
 	/* Hardware set up */
diff -puN drivers/char/serial167.c~ttys0-vs-ttys00-confusion drivers/char/serial167.c
--- 25/drivers/char/serial167.c~ttys0-vs-ttys00-confusion	2004-08-15 17:34:14.514633184 -0700
+++ 25-akpm/drivers/char/serial167.c	2004-08-15 17:34:14.527631208 -0700
@@ -2379,7 +2379,7 @@ scrn[1] = '\0';
                                        | CyPARITY| CyFRAME| CyOVERRUN;
 		/* info->timeout */
 
-		printk("ttyS%1d ", info->line);
+		printk("ttyS%d ", info->line);
 		port_num++;info++;
 		if(!(port_num & 7)){
 		    printk("\n               ");
diff -puN drivers/serial/68360serial.c~ttys0-vs-ttys00-confusion drivers/serial/68360serial.c
--- 25/drivers/serial/68360serial.c~ttys0-vs-ttys00-confusion	2004-08-15 17:34:14.516632880 -0700
+++ 25-akpm/drivers/serial/68360serial.c	2004-08-15 17:34:14.529630904 -0700
@@ -2592,7 +2592,7 @@ int rs_360_init(void)
 		state->icount.rx = state->icount.tx = 0;
 		state->icount.frame = state->icount.parity = 0;
 		state->icount.overrun = state->icount.brk = 0;
-		printk(KERN_INFO "ttyS%02d at irq 0x%02x is an %s\n",
+		printk(KERN_INFO "ttyS%d at irq 0x%02x is an %s\n",
 		       i, (unsigned int)(state->irq),
 		       (state->smc_scc_num & NUM_IS_SCC) ? "SCC" : "SMC");
 
diff -puN drivers/tc/zs.c~ttys0-vs-ttys00-confusion drivers/tc/zs.c
--- 25/drivers/tc/zs.c~ttys0-vs-ttys00-confusion	2004-08-15 17:34:14.517632728 -0700
+++ 25-akpm/drivers/tc/zs.c	2004-08-15 17:34:14.531630600 -0700
@@ -706,7 +706,7 @@ int zs_startup(struct dec_serial * info)
 	save_flags(flags); cli();
 
 #ifdef SERIAL_DEBUG_OPEN
-	printk("starting up ttyS%02d (irq %d)...", info->line, info->irq);
+	printk("starting up ttyS%d (irq %d)...", info->line, info->irq);
 #endif
 
 	/*
@@ -1356,7 +1356,7 @@ static void rs_close(struct tty_struct *
 	}
 	
 #ifdef SERIAL_DEBUG_OPEN
-	printk("rs_close ttyS%02d, count = %d\n", info->line, info->count);
+	printk("rs_close ttyS%d, count = %d\n", info->line, info->count);
 #endif
 	if ((tty->count == 1) && (info->count != 1)) {
 		/*
@@ -1371,7 +1371,7 @@ static void rs_close(struct tty_struct *
 		info->count = 1;
 	}
 	if (--info->count < 0) {
-		printk("rs_close: bad serial port count for ttyS%02d: %d\n",
+		printk("rs_close: bad serial port count for ttyS%d: %d\n",
 		       info->line, info->count);
 		info->count = 0;
 	}
@@ -1531,7 +1531,7 @@ static int block_til_ready(struct tty_st
 	retval = 0;
 	add_wait_queue(&info->open_wait, &wait);
 #ifdef SERIAL_DEBUG_OPEN
-	printk("block_til_ready before block: ttyS%02d, count = %d\n",
+	printk("block_til_ready before block: ttyS%d, count = %d\n",
 	       info->line, info->count);
 #endif
 	cli();
@@ -1565,7 +1565,7 @@ static int block_til_ready(struct tty_st
 			break;
 		}
 #ifdef SERIAL_DEBUG_OPEN
-		printk("block_til_ready blocking: ttyS%02d, count = %d\n",
+		printk("block_til_ready blocking: ttyS%d, count = %d\n",
 		       info->line, info->count);
 #endif
 		schedule();
@@ -1576,7 +1576,7 @@ static int block_til_ready(struct tty_st
 		info->count++;
 	info->blocked_open--;
 #ifdef SERIAL_DEBUG_OPEN
-	printk("block_til_ready after blocking: ttyS%02d, count = %d\n",
+	printk("block_til_ready after blocking: ttyS%d, count = %d\n",
 	       info->line, info->count);
 #endif
 	if (retval)
@@ -1896,7 +1896,7 @@ int __init zs_init(void)
 		info->tqueue.data = info;
 		init_waitqueue_head(&info->open_wait);
 		init_waitqueue_head(&info->close_wait);
-		printk("ttyS%02d at 0x%08x (irq = %d)", info->line, 
+		printk("ttyS%d at 0x%08x (irq = %d)", info->line,
 		       info->port, info->irq);
 		printk(" is a Z85C30 SCC\n");
 		tty_register_device(serial_driver, info->line, NULL);
_
